Subject: bug#45103: [feature/native-comp] add re-dumping support

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Nov 2023 14:06:44 +0200

> From: Björn Bidar <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 01 Nov 2023 02:22:27 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: [email-masked], [email-masked]
> >> Date: Sun, 29 Oct 2023 16:44:44 +0200
> >> From:  Björn Bidar via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> 
> >> Where is the file stored? Should there be a variable to override the
> >> location of this file?
> >
> > How would a variable help when we are installing the file as part of
> > "make install"?
> >
> I was talking about the user generated pdmp as described in the bug,
> not the one generated during install.

If the produced pdmp file is not written in the places where Emacs
looks for it at startup, then it can only be loaded via --dump-file.

> > And how would this variable help, if Emacs must load the dump file
> > before it can do anything else?
> 
> My idea was more in the line of producing the pdmp after the
> installation, store in side the user config or cache directory and load
> it each time Emacs starts.

If you are talking about _producing_ a dump file, then I think this
discussion is premature, since we don't yet support re-dumping well
enough, and not at all in interactive sessions.  We should postpone
this until we have the known problems fixed, because only then the
various implications will be known.